package com.xt.hb.data.system.model;

/**
 * 系统参数对象
 * 
 * @author 袁晓冬
 *
 */
public class SysParam {
	/** 参数ID */
	private String id;
	/** 属性名 */
	private String key;
	/** 属性值 */
	private String value;
	/** 映射类 */
	private String clazz;
	/** 备注 */
	private String disp;
	/** 是否有效 */
	private String valid;
	/** 所属子系统 */
	private String system;

	public String getClazz() {
		return clazz;
	}

	public String getDisp() {
		return disp;
	}

	public String getId() {
		return id;
	}

	public String getKey() {
		return key;
	}

	public String getSystem() {
		return system;
	}

	public String getValid() {
		return valid;
	}

	public String getValue() {
		return value;
	}

	public void setClazz(String clazz) {
		this.clazz = clazz == null ? null : clazz.trim();
	}

	public void setDisp(String disp) {
		this.disp = disp == null ? null : disp.trim();
	}

	public void setId(String id) {
		this.id = id == null ? null : id.trim();
	}

	public void setKey(String key) {
		this.key = key == null ? null : key.trim();
	}

	public void setSystem(String system) {
		this.system = system;
	}

	public void setValid(String valid) {
		this.valid = valid == null ? null : valid.trim();
	}

	public void setValue(String value) {
		this.value = value == null ? null : value.trim();
	}
}